Skip to main content
POST
Node.js

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

store_id
string
required

Body

application/json
checks
object[]
required
Minimum array length: 1
authorization_model_id
string
Example:

"01G5JAVJ41T49E9TT3SKVS7X1J"

consistency
enum<string>
default:UNSPECIFIED

Controls the consistency preferences when calling the query APIs.

  • UNSPECIFIED: Default if not set. Behavior will be the same as MINIMIZE_LATENCY.
  • MINIMIZE_LATENCY: Minimize latency at the potential expense of lower consistency.
  • HIGHER_CONSISTENCY: Prefer higher consistency, at the potential expense of increased latency.
Available options:
UNSPECIFIED,
MINIMIZE_LATENCY,
HIGHER_CONSISTENCY
Example:

"MINIMIZE_LATENCY"

Response

A successful response.

result
object

map keys are the correlation_id values from the BatchCheckItems in the request

Example: